@import url('font/futura.css');

:root {
  color-scheme: dark;
  --element-color: #9f95ae80;
  --accent-color: #ffd233;
  --error-color: #ff6f6f;
  --text-color: #fff;
}

* {
  margin: 0;
  padding: 0;
  outline: none;
  box-sizing: border-box;
  font-family: 'Futura PT';
  -webkit-tap-highlight-color: transparent;
}

body {
  height: 100dvh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: linear-gradient(to right, #0b022c, #02010e);
}

header {
  margin: 15px 0 15px;
  padding: 0 10px;
  width: min(1100px, 90dvw);
  height: 50px;
  display: flex;
  align-items: center;
  gap: 16px;
}

header img {
  height: 100%;
  border-radius: 50%;
}

#details {
  flex: 1;
  overflow: hidden;
}

#details div {
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

#details div:first-child {
  font-size: 17px;
  font-weight: bold;
}

a {
  color: #fff;
  text-decoration: none;
  &:visited { color: unset }
}

#window {
  margin-bottom: 25px;
  width: min(1100px, 90dvw);
  height: 100%;
  border-radius: 20px;
  position: relative;
  background: #2d034db2;
  box-shadow: 0 5px 10px #0006;
  overflow: hidden;
}

#view1, #view2, #view3 {
  padding: 40px;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  overflow: auto;
  scrollbar-width: none;
  transition: left 0.3s ease;
  will-change: left;
}

#view2, #view3 { left: 100% }
#view1, #window.select-2 #view2, #window.select-3 #view3 { left: 0% }
:is(#window.select-2, #window.select-3) #view1 { left: -100% }

:is(#view1, #view2, #view3)::-webkit-scrollbar { display: none }

.back {
  margin-bottom: 30px;
  height: 40px;
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: 20px;
  font-weight: 500;
  color: var(--text-color);
  background: transparent;
}

#view3 :is(h1, article) {
  margin-left: auto;
  margin-right: auto;
  max-width: 700px;
}

section, article { margin-top: 40px }
#turnstile-container { padding: 10px }

h1, h2 {
  text-transform: uppercase;
  font-weight: bold;
  color: var(--text-color);
  text-wrap: balance;
}

h1 {
  margin-top: 5px;
  padding: 0 10px;
  font-size: 25px;
  text-align: center;
}

h2 {
  margin: 10px;
  font-size: 22px;
}

iframe {
  margin-top: 26px;
}

button {
  border: 0;
  cursor: pointer;
}

.by-card, .by-crypto {
  margin: 10px;
  padding: 18px;
  height: 155px;
  border-radius: 10px;
  background: var(--element-color);
}

:is(.by-card, .by-crypto) p {
  margin-top: 10px;
  font-weight: bold;
  font-size: 18px;
  color: var(--text-color);
  text-wrap: balance;
}

#view2 .by-card { cursor: default }

.by-card div {
  min-width: 100%;
  width: 186px;
  height: 58px;
  background: url("data:image/svg+xml;base64,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") center no-repeat;
}

.by-crypto {
  width: 155px;
}

.by-crypto svg {
  width: 64px;
  height: 64px;
}

article > p {
  font-size: 20px;
  font-weight: 500;
  display: inline-block;
}

#view2 article > p { margin: 10px }

#view3 article > p {
  margin: 10px 10px 0;
  width: calc(100% - 20px);
  text-align: center;
}

input {
  padding: 0 25px;
  height: 50px;
  line-height: 50px;
  border-radius: 25px;
  font-size: 18px;
  font-weight: bold;
}

input[type=number] { -moz-appearance: textfield }

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

form input {
  margin: 10px;
  width: calc(100% - 20px);
  border: 0;
  background: var(--element-color);
}

label {
  margin: 10px;
  color: #988ba6;
  font-size: 16px;
  font-weight: 500;
}

[type=submit] {
  margin: 20px 10px;
  width: 230px;
  height: 60px;
  display: block;
  border-radius: 30px;
  font-size: 22px;
  font-weight: bold;
  text-transform: uppercase;
  background: var(--accent-color);
}

[type=submit]:disabled {
  background: #4f4f4f;
  cursor: not-allowed;
}

form div:last-child {
  margin: 10px;
  font-size: 20px;
  font-weight: 500;
  color: var(--error-color);
  display: none;
}

form.error div { display: block }

#address {
  margin: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#addrerr {
  margin: 10px;
  font-size: 20px;
  font-weight: 500;
  text-align: center;
  color: var(--error-color);
}

.loader {
  width: 50px;
  height: 50px;
}

#address ~ .loader {
  margin: 0 auto;
}

#address svg {
  flex-shrink: 0;
  margin-right: 10px;
  width: 28px;
  height: 28px;
}

#copy { cursor: pointer }
#copy path { stroke: var(--accent-color) }

.copied #copy, #success { display: none }
.copied #success { display: block }

#address span {
  font-size: 22px;
  font-weight: 500;
  word-break: break-word;
}

#block {
  margin: 10px;
  padding: 40px;
  display: flex;
  gap: 20px;
  border-radius: 20px;
  background: var(--element-color);
}

#qr {
  flex-shrink: 0;
  padding: 10px;
  width: 140px;
  height: 140px;
  position: relative;
  background: #fff;
}

#qrerr {
  flex-shrink: 0;
  width: 140px;
  height: 140px;
  background: #0004;
}

#block .loader {
  flex-shrink: 0;
  margin: 45px;
}

:is(.await, .error) :is(#address, #qr),
.loader, #addrerr, #qrerr { display: none }

.error :is(#addrerr, #qrerr),
.await .loader { display: block }

#block p {
  margin: 0 10px;
  font-size: 18px;
  font-weight: bold;
}

#calculator {
  padding: 10px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;
}

#calculator input {
  width: min(200px, 100%);
  border: solid 2px var(--accent-color);
  background: transparent;
}

#calculator span {
  width: min(200px, 100%);
  font-size: 16px;
  font-weight: 500;
  word-break: break-word;
}

:is(.wait, .err) #calculator span,
.wait + #date { display: none }
.err + #date { color: var(--error-color) }

.invalid { background: #e84a4a66 !important }

@media (width > 885px) {
  #view2 .back { position: absolute }
}

@media (width > 780px) {
  #view3 .back { position: absolute }
}

@media (width < 575px) {
  #block {
    flex-direction: column;
    align-items: center;
  }
  #block p { margin-bottom: 10px }
  #block div:last-child { text-align: center }
  #calculator { justify-content: center }
}

@media (width <= 480px) {
  #window { margin-bottom: 20px }
  #view1, #view2, #view3 { padding: 20px }
  .back { margin-bottom: 15px }
  section, article { margin-top: 25px }
  #turnstile-container { padding: 5px }
  section { text-align: center }
  h1 {
    padding: 5px 5px 0;
    font-size: 22px;
  }
  h2 {
    margin: 5px;
    font-size: 18px;
  }
  .by-card, .by-crypto {
    margin: 5px;
    padding: 10px;
    height: 130px;
  }
  :is(.by-card, .by-crypto) p { font-size: 16px }
  .by-card { width: min(274px, calc(100% - 10px)) }
  .by-card div {
    width: 155px;
    height: 49px;
  }
  .by-crypto { width: 130px }
  .by-crypto svg {
    width: 52px;
    height: 52px;
  }
  #view2 article > p, form label { margin: 5px }
  #view3 article > p {
    margin: 10px 5px;
    width: calc(100% - 10px);
  }
  form input {
    margin: 10px 5px;
    width: calc(100% - 10px);
  }
  [type=submit] {
    margin: 20px 5px;
    width: min(230px, calc(100% - 10px));
  }
  form div:last-child, #address, #addrerr { margin: 10px 5px }
  #block {
    margin: 10px 5px;
    padding: 40px 20px;
  }
  #block p { margin: 0 5px 10px }
  #calculator { padding: 10px 5px }
  #block label { margin: 0 }
  #date { font-size: 18px }
}

@media (width < 360px) {
  .by-crypto { width: calc(100% - 10px) }
}

@media (width < 252px) {
  .by-card {
    padding: 20px 10px;
    height: unset;
  }
  .by-card div {
    width: 100%;
    height: unset;
    aspect-ratio: 93 / 29;
  }
}


/* ----- Particles JS ----- */

#particles-js {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: -1;
}

#particles-js canvas {
  display: block;
  position: fixed;
  top: 0px;
}